Subject: AutoDockTools (ADT) Problems

From: Sarangian Ravichandran <[email-masked]>
Date: Mon, 20 Aug 2001 19:09:32 -0400 (Eastern Daylight Time)

Hi All:

I have some difficulty in using AutoDockTools, ADT
developed by Dr. M. Sanner.
I have installed ADT in SGI(Octane2), and have
been trying to redo the examples that came with AutoDock
(3ptb and 1hvr sample systems) using ADT. When I
read the receptor using the module AutoGpf of ADT, I am
getting error messages (see below) for both 3ptb and
1hvr. I have attached only the error message for 1hvr
and I get similar messages for 3ptb system.
I would like to know any ADT user have experienced
similar problems. Any help is greatly appreciated.

regards,

Ravi
Email: [email-masked]
------------------------------
1hvr.pdbqs:
----------

I used AutoGpf to read the 1hvr.pdbqs file
and the options I choose were to automatically
merge non-polar Hs, to automatically merge lone-pairs
, and save save the result as 1hvr.pdbqs

non-integeral charge on 1hvr is 3.992, I hit ok and

I get the following message in the python shell

---------------------------------
Warning: interruption in backbone between 1hvr:
:PHE99:N and 1hvr: :HYD100:H of 380 Angstrom
Warning: interruption in backbone between 1hvr:
:HYD100:H and 1hvr: :PRO101:O of 423 Angstrom
Warning: interruption in backbone between 1hvr:
:PHE199:N and 1hvr: :HYD200:O of 380 Angstrom
Exception in Tkinter callback
Traceback (innermost last):
File "/usr/people/ravi/FINALADT/share/lib/python1.5/lib-tk/Tkinter.py",
line 764, in __call__
 return apply(self.func, args)
 File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
AutoDockTools/autogpfCommands.py",
line 761, in guiCallback
mergeLPS=mergeLPS, newfilename=newfilename, checkMTypes=1, log=1,
redraw=1)
File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
ViewerFramework/VFCommand.py",
line 582, in doitWrapper
result = apply( self.vf.tryto, (self.func,)+args, kw )
 File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
ViewerFramework/VF.py",
line 553, in tryto result = apply( command, args, kw )
File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
AutoDockTools/autogpfCommands.py",
line 798, in doit apply(self.vf.ADgpf_initMacro, (mol,), kw)
  File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
AutoDockTools/autogpfCommands.py",
line 314, in __call__apply(self.doitWrapper,(mol,), kw)
  File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
ViewerFramework/VFCommand.py",
line 582, in doitWrapper
result = apply( self.vf.tryto, (self.func,)+args, kw )File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
ViewerFramework/VF.py",
line 553, in tryto result = apply( command, args, kw )
File
"/usr/people/ravi/FINALADT/share/lib/python1.5/site-packages/
AutoDockTools/autogpfCommands.py",
line 350, in doit
if hasLPS and not mergeNPHS and not addSolPar:NameError: hasLPS
------------------------------